=== modified file 'bzrlib/option.py'
--- bzrlib/option.py	2010-05-05 04:08:11 +0000
+++ bzrlib/option.py	2010-05-23 18:57:38 +0000
@@ -506,9 +506,6 @@
 # Declare the standard options
 _standard_option('help', short_name='h',
                  help='Show help message.')
-_standard_option('null', short_name='0',
-                 help='Use an ASCII NUL (\\0) separator rather than '
-                      'a newline.')
 _standard_option('usage',
                  help='Show usage message and options.')
 _standard_option('verbose', short_name='v',
@@ -533,6 +530,9 @@
                short_name='m',
                help='Message string.')
 _global_option('no-recurse')
+_global_option('null', short_name='0',
+                 help='Use an ASCII NUL (\\0) separator rather than '
+                      'a newline.')
 _global_option('profile',
                help='Show performance profiling information.')
 _global_option('revision',

=== modified file 'bzrlib/tests/test_help.py'
--- bzrlib/tests/test_help.py	2010-05-24 02:08:02 +0000
+++ bzrlib/tests/test_help.py	2010-05-24 05:50:53 +0000
@@ -128,7 +128,6 @@
             '\n'
             'Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'
@@ -153,7 +152,6 @@
             '\n'
             ':Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'
@@ -195,7 +193,6 @@
             '\n'
             'Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'
@@ -215,7 +212,6 @@
             '\n'
             'Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'
@@ -250,7 +246,6 @@
             '\n'
             'Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'
@@ -294,7 +289,6 @@
             '\n'
             'Options:\n'
             '  --usage        Show usage message and options.\n'
-            '  -0, --null     Use an ASCII NUL (\\0) separator rather than a newline.\n'
             '  -v, --verbose  Display more information.\n'
             '  -q, --quiet    Only display errors and warnings.\n'
             '  -h, --help     Show help message.\n'

